Bug 20892 - Wrong basketgroup link in histsearch.pl
Summary: Wrong basketgroup link in histsearch.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-07 13:53 UTC by Fridolin SOMERS
Modified: 2018-10-24 09:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20892: Correct basketgroup link in histsearch.pl (1.64 KB, patch)
2018-06-07 14:01 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 20892: Correct basketgroup link in histsearch.pl (1.70 KB, patch)
2018-06-11 09:05 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 20892: Correct basketgroup link in histsearch.pl (1.78 KB, patch)
2018-06-12 15:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2018-06-07 13:53:06 UTC
When searching an order, histsearch.pl page, you see if exists the backetgroup as a link.
This link is composed of "basketgroup.pl?booksellerid=xxx", it must also contain "basketgroupid=xxx" and "opa=add".

See Bug 11429.
Comment 1 Fridolin SOMERS 2018-06-07 14:01:50 UTC
Created attachment 75881 [details] [review]
Bug 20892: Correct basketgroup link in histsearch.pl

When searching an order, histsearch.pl page, you see if exists the backetgroup as a link.
This link is composed of "basketgroup.pl?booksellerid=xxx", it must also contain "basketgroupid=xxx" and "opa=add".

See Bug 11429 for example.

Test plan :
1) Create an order in a basket and add it to a basketgroup
2) Search for this order, you get to page histsearch.pl
3) Check clicking on basketgroup id leads to basketgroup details page
Comment 2 Amit Gupta 2018-06-11 09:05:59 UTC
Created attachment 75943 [details] [review]
Bug 20892: Correct basketgroup link in histsearch.pl

Work OK.
Comment 3 Jonathan Druart 2018-06-12 15:23:58 UTC
Created attachment 76001 [details] [review]
Bug 20892: Correct basketgroup link in histsearch.pl

When searching an order, histsearch.pl page, you see if exists the backetgroup as a link.
This link is composed of "basketgroup.pl?booksellerid=xxx", it must also contain "basketgroupid=xxx" and "opa=add".

See Bug 11429 for example.

Test plan :
1) Create an order in a basket and add it to a basketgroup
2) Search for this order, you get to page histsearch.pl
3) Check clicking on basketgroup id leads to basketgroup details page

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-06-15 10:44:43 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-06-15 12:07:37 UTC
Pushed to 18.05.x for 18.05.01
Comment 6 Fridolin SOMERS 2018-06-18 05:54:34 UTC
Pushed to 17.11.x for 17.11.07